Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openide.filesystems
Class FileSystemCapability.Bean

    java.lang.Object
      org.openide.filesystems.FileSystemCapability
          org.openide.filesystems.FileSystemCapability.Bean

All Implemented Interfaces:
  Serializable

Enclosing class:
  FileSystemCapability

Deprecated. For the same reason the whole class is.

    public static class FileSystemCapability.Bean

extends FileSystemCapability
implements Serializable

Default implementation of capabilities, that behaves like JavaBean and allows to set whether the well known capabilities (like compile, execute) should be enabled or not.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.openide.filesystems.FileSystemCapability
`FileSystemCapability.Bean`

Field Summary

Fields inherited from class org.openide.filesystems.FileSystemCapability
`ALL, COMPILE, DEBUG, DOC, EXECUTE`

Constructor Summary
`FileSystemCapability.Bean()` Deprecated.

Method Summary
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Deprecated. Adds PropertyChange listener.
`boolean` | `capableOf(FileSystemCapability c)` Deprecated. Checks for well known capabilities and if they are allowed.
`boolean` | `getCompile()` Deprecated. Please use the ClassPath API instead.
`boolean` | `getDebug()` Deprecated. Please use the ClassPath API instead.
`boolean` | `getDoc()` Deprecated. Please use `JavadocForBinaryQuery` instead.
`boolean` | `getExecute()` Deprecated. Please use the ClassPath API instead.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Deprecated. Removes PropertyChange listener.
`void` | `setCompile(boolean val)` Deprecated. Please use the ClassPath API instead.
`void` | `setDebug(boolean val)` Deprecated. Please use the ClassPath API instead.
`void` | `setDoc(boolean val)` Deprecated. Please use `JavadocForBinaryQuery` instead.
`void` | `setExecute(boolean val)` Deprecated. Please use the ClassPath API instead.

Methods inherited from class org.openide.filesystems.FileSystemCapability
`fileSystems, find, findAll, findAllResources, findResource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileSystemCapability.Bean

    public FileSystemCapability.Bean()

  Deprecated.

Method Detail

### capableOf

    public boolean capableOf(FileSystemCapability c)

  Deprecated.
  Checks for well known capabilities and if they are allowed.

  Overrides:
    `capableOf` in class `FileSystemCapability`
  Parameters:
    `c` - capability to test
  Returns:
    true if yes

### getCompile

    public boolean getCompile()

  Deprecated. Please use the ClassPath API instead.

  Getter for value of compiling capability.

### setCompile

    public void setCompile(boolean val)

  Deprecated. Please use the ClassPath API instead.

  Setter for allowing compiling capability.

### getExecute

    public boolean getExecute()

  Deprecated. Please use the ClassPath API instead.

  Getter for value of executiong capability.

### setExecute

    public void setExecute(boolean val)

  Deprecated. Please use the ClassPath API instead.

  Setter for allowing executing capability.

### getDebug

    public boolean getDebug()

  Deprecated. Please use the ClassPath API instead.

  Getter for value of debugging capability.

### setDebug

    public void setDebug(boolean val)

  Deprecated. Please use the ClassPath API instead.

  Setter for allowing debugging capability.

### getDoc

    public boolean getDoc()

  Deprecated. Please use `JavadocForBinaryQuery` instead.

  Getter for value of doc capability.

### setDoc

    public void setDoc(boolean val)

  Deprecated. Please use `JavadocForBinaryQuery` instead.

  Setter for allowing debugging capability.

### addPropertyChangeListener

    public void addPropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Description copied from class: `FileSystemCapability`
  Adds PropertyChange listener. Every class which implements changes of capabilities has to implement it's property change support.

  Overrides:
    `addPropertyChangeListener` in class `FileSystemCapability`
  Parameters:
    `l` - the listener to be added.

### removePropertyChangeListener

    public void removePropertyChangeListener(PropertyChangeListener l)

  Deprecated.
  Description copied from class: `FileSystemCapability`
  Removes PropertyChange listener. Every class which implements changes of capabilities has to implement it's property change support.

  Overrides:
    `removePropertyChangeListener` in class `FileSystemCapability`
  Parameters:
    `l` - the listener to be removed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.openide.filesystems 6.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.